Constraint (CMDB Model API)
Keywords: com.collation.platform.model.provision.definition.Constraint interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.provision.definition
Interface Constraint

All Superinterfaces:
  ModelObject, java.io.Serializable

All Known Subinterfaces:
  ContainerConstraint, HostConstraint

    public interface Constraint

extends ModelObject

Naming Rules:
  0="type,owner,name"
Persistable:
  true
Table Name:
  CONSTRNT
Display Name:
  name

Method Summary
`ConstraintFilter[]` | `getFilters()`
`java.lang.String` | `getName()`
`java.lang.String` | `getOperand()`
`java.lang.String` | `getOwner()`
`java.lang.String` | `getType()`
`boolean` | `hasFilters()`
`boolean` | `hasName()`
`boolean` | `hasOperand()`
`boolean` | `hasOwner()`
`boolean` | `hasType()`
`void` | `setFilters(ConstraintFilter[] s)`
`void` | `setName(java.lang.String s)`
`void` | `setOperand(java.lang.String s)`
`void` | `setOwner(java.lang.String s)`
`void` | `setType(java.lang.String s)`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### setName

    void setName(java.lang.String s)

### getName

    java.lang.String getName()
                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasName

    boolean hasName()

### setOperand

    void setOperand(java.lang.String s)

### getOperand

    java.lang.String getOperand()
                                throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasOperand

    boolean hasOperand()

### setType

    void setType(java.lang.String s)

### getType

    java.lang.String getType()
                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasType

    boolean hasType()

### setOwner

    void setOwner(java.lang.String s)

### getOwner

    java.lang.String getOwner()
                              throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasOwner

    boolean hasOwner()

### setFilters

    void setFilters(ConstraintFilter[] s)

  Containment Relationship:
    true

### getFilters

    ConstraintFilter[] getFilters()
                                  throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasFilters

    boolean hasFilters()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD